<script>
  import PageHeader from '$lib/components/layout/PageHeader.svelte';

  import students_account from '$lib/assets/images/discord_setup/students_account.png';
  import profile_discord_icon from '$lib/assets/images/discord_setup/profile_discord_icon.png';
  import federated_identities from '$lib/assets/images/discord_setup/federated_identities.png';
  import discord_authorize from '$lib/assets/images/discord_setup/discord_authorize.jpg';
  import discord_federated from '$lib/assets/images/discord_setup/discord_federated.png';
  import join_discord from '$lib/assets/images/discord_setup/join_discord.png';
</script>

<PageHeader title="Discord Setup" />

<section class="m-12 lg:m-24">
  <h2 class="mt-10 text-3xl lg:text-3xl font-bold text-secondary uppercase">Discord Usage</h2>

  <p>
    The NCAE Cyber Games uses Discord as its official communication platform. All participants are required to have an
    active Discord account linked to their NCAE Cyber Games account, and must connect to the NCAE Cyber Games Discord
    server. Information about the competition will be communicated to you throughout the day, and we encourage you to
    use your team's dedicated text and voice channels for communication.
  </p>

  <h3 class="mt-10 text-2xl lg:text-2xl font-bold text-secondary uppercase">IMPORTANT</h3>
  <p>
    All team members and faculty liaisons MUST register accounts on Discord AND connect them to their CAE accounts.
    Instructions on how to do so are in this document and on our website.
  </p>

  <h2 class="mt-10 text-2xl lg:text-2xl font-bold text-secondary uppercase">Setup and Install Discord</h2>

  <p>
    You can find instructions on how to install and setup Discord in the
    <a href="https://support.discord.com/hc/en-us/articles/360033931551-Getting-Started"> official support pages</a>.
  </p>

  <h2 class="mt-10 text-2xl lg:text-2xl font-bold text-secondary uppercase">Join the NCAE server</h2>

  <div class="d-flex flex-column">
    <p>
      Click the <b>Discord Icon</b> on the top right of every page to join the NCAE server
    </p>

    <img src={join_discord} alt="join discord link" />
  </div>

  <h2 class="mt-10 text-3xl lg:text-3xl font-bold text-secondary uppercase">Connect your Discord and NCAE accounts</h2>

  <p>We recommend using a desktop web browser and application for this process.</p>

  <h2 class="mt-10 text-2xl lg:text-2xl font-bold text-secondary uppercase">Go to your Account page</h2>

  <div class="d-flex flex-column">
    <p>
      Once you have created a Discord account, go to any page within the
      <a target="_blank" href="/user-dashboard/teams">User Dashboard</a>.
    </p>
    <img src={students_account} alt="brand" />
  </div>

  <h2 class="mt-10 text-2xl lg:text-2xl font-bold text-secondary uppercase">Manage Linked Accounts</h2>

  <div class="d-flex flex-column">
    <p>
      From the User Dashboard, click on the <b>Manage Linked Accounts</b> link.
    </p>
    <img src={profile_discord_icon} alt="brand" />
  </div>

  <h2 class="mt-10 text-2xl lg:text-2xl font-bold text-secondary uppercase">
    Link your NCAE account to your Discord account
  </h2>

  <div class="d-flex flex-column">
    <p>
      In the <b>Federated Identity</b> section, Click <b>Add</b>. Your Discord window will pop up and ask you to
      authorize the server
    </p>
    <img src={federated_identities} alt="brand" />
  </div>

  <h2 class="mt-10 text-2xl lg:text-2xl font-bold text-secondary uppercase">Grant permissions in Discord</h2>

  <div class="d-flex flex-column">
    <p>
      Click <b>Authorize</b>
    </p>
    <img src={discord_authorize} alt="brand" />
  </div>

  <h2 class="mt-10 text-2xl lg:text-2xl font-bold text-secondary uppercase">Verify the connection</h2>

  <div class="d-flex flex-column">
    <p>You will see your Discord username populated automatically in the text field</p>
    <img src={discord_federated} alt="brand" />
  </div>

  <p class="mt-20">
    That's it! Your NCAE account and Discord account are setup and ready to go! Stay active on the Discord server
    leading up to the competition. There will be important announcements and resources for your team.
  </p>
</section>
